{
  "schema_version": "1.4.0",
  "id": "GHSA-cjwj-wvcj-rr5c",
  "modified": "2022-05-01T18:07:15Z",
  "published": "2022-05-01T18:07:15Z",
  "aliases": [
    "CVE-2007-2788"
  ],
  "details": "Integer overflow in the embedded ICC profile image parser in Sun Java Development Kit (JDK) before 1.5.0_11-b03 and 1.6.x before 1.6.0_01-b06, and Sun Java Runtime Environment in JDK and JRE 6, JDK and JRE 5.0 Update 10 and earlier, SDK and JRE 1.4.2_14 and earlier, and SDK and JRE 1.3.1_20 and earlier, allows remote attackers to execute arbitrary code or cause a denial of service (JVM crash) via a crafted JPEG or BMP file that triggers a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2788"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/34318"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/34652"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11700"
    },
    {
      "type": "WEB",
      "url": "http://dev2dev.bea.com/pub/advisory/248"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=307177"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/Security-announce/2007/Dec/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.vmware.com/pipermail/security-announce/2008/000003.html"
    },
    {
      "type": "WEB",
      "url": "http://scary.beasts.org/security/CESA-2006-004.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25295"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25474"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25832"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26049"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26119"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26311"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26369"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26631"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26645"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26933"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27203"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27266"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28056"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28115"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28365"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29340"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29858"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30780"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30805"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200706-08.xml"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200804-28.xml"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102934-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-200856-1"
    },
    {
      "type": "WEB",
      "url": "http://support.novell.com/techcenter/psdb/4f850d1e2b871db609de64ec70f0089c.html"
    },
    {
      "type": "WEB",
      "url": "http://support.novell.com/techcenter/psdb/d2f549cc040cd81ae4a268bb5edfe918.html"
    },
    {
      "type": "WEB",
      "url": "http://www.attrition.org/pipermail/vim/2007-December/001862.html"
    },
    {
      "type": "WEB",
      "url": "http://www.attrition.org/pipermail/vim/2007-July/001696.html"
    },
    {
      "type": "WEB",
      "url": "http://www.attrition.org/pipermail/vim/2007-July/001697.html"
    },
    {
      "type": "WEB",
      "url": "http://www.attrition.org/pipermail/vim/2007-July/001708.html"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200705-23.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200709-15.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200804-20.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200806-11.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/138545"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_45_java.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_56_ibmjava.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0817.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0829.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0956.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-1086.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0100.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0133.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0261.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24004"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24267"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018182"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1836"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3009"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/4224"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0065"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-05-22T00:30:00Z"
  }
}